Bug 963900 - Create env variables for previously-hardcoded zend endpoints
Create env variables for previously-hardcoded zend endpoints
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Paul Morie
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 14:30 EDT by Paul Morie
Modified: 2015-05-14 19:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 23:59:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Morie 2013-05-16 14:30:41 EDT
Create env variables for previously-hardcoded zend endpoints:

OPENSHIFT_ZEND_CONSOLE_PORT = 16081
OPENSHIFT_ZEND_ZENDSERVER_PORT = 16083
Comment 1 Paul Morie 2013-05-16 17:22:30 EDT
Unfortunately, I put the wrong issue number in the pull request:

https://github.com/openshift/li/pull/1397
Comment 2 Meng Bo 2013-05-20 06:23:16 EDT
Checked on devenv_3247,

During migration:
Carts to migrate: ["zend-5.6"]
Migrating cartridge zend
Marking step zend_endpoints complete
Marking step zend_create_directory complete
Marking step zend_setup complete
Marking step zend_erb complete


After migration:
[zend-bmengdev.dev.rhcloud.com 5199b6f2db86254979000002]\> env|grep ZEND|grep PORT
OPENSHIFT_ZEND_CONSOLE_PORT=16081
OPENSHIFT_ZEND_PORT=8080
OPENSHIFT_ZEND_ZENDSERVER_PORT=16083

Move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.